Bug 1123960 - LibreOffice missing libreoffice-gtk3
LibreOffice missing libreoffice-gtk3
Status: RESOLVED INVALID
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: LibreOffice
Current
x86-64 openSUSE Factory
: P3 - Medium : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-01 07:29 UTC by Gertjan Lettink
Modified: 2019-02-01 10:00 UTC (History)
0 users

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gertjan Lettink 2019-02-01 07:29:02 UTC
After upgrading to TW 20190126, LO shows the Win95 like fallback interface. Knowing it is a gtk based app, I ran 'zypper se -i -v libreoffice' I noticed libreoffice-gtk3 was not installed, so as a try I installed that. LO back to normal after doing so.
Comment 1 Gertjan Lettink 2019-02-01 08:06:14 UTC
SAL_USE_VCLPLUGIN=gtk3_kde5 oowriter works, also after uninstalling libreoffice-gtk3

echo $KDE_FULL_SESSION $KDE_SESSION_VERSION
true 5
Comment 2 Gertjan Lettink 2019-02-01 08:56:09 UTC
Installed the packages from http://download.opensuse.org/repositories/LibreOffice:/Factory/openSUSE_Tumbleweed/
And these do work without libreoffice-gtk3, very visible since LO now respects my dark plasma theme and colors.
Comment 3 Gertjan Lettink 2019-02-01 10:00:43 UTC
Did snapper rollback, tried to reproduce, but can't. Marked as invalid.